Skip to main content
`Ctrl`+`K`

# TaoLineSearchGetStepLength

Get the current step length

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchGetStepLength(TaoLineSearch ls, PetscReal *s)

Not Collective

## Input Parameter

- ls - the `TaoLineSearch` context

## Output Parameter

- s - the current step length

## See Also

TAO: Optimization Solvers, `Tao`, `TaoLineSearch`, `TaoLineSearchSetInitialStepLength()`, `TaoLineSearchApply()`

## Level

intermediate

## Location

src/tao/linesearch/interface/taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages